<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>Bootstrap Flex</title>

	<title>Bootstrap Grid System</title>
<!-- 	<link rel="stylesheet" type="text/css" href="index.css"> -->


	<!-- responsive meta tag -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

	 <!-- BOOTSRAP CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

</head>
<!-- ----------------------------------------------------------- -->
<!-- NOTE!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
Yung CHILDREN NG PARENT DIV ANG CONCERN NG D-FLEX DITO -->
<!-- Yung CHILDREN NG PARENT DIV ANG CONCERN NG D-FLEX DITO -->
<!-- CHILDREN WILL INHERIT EVERYTHING FROM PARENT -->
<body>
	<div class="container-fluid text-center">
			<h1>Bootstrap Flex</h1>
			<p>Use the d-flex class to create a flex container and transform direct children into flex items</p>
		<!-- ----------------------------------------------------------------- -->
			<h2>Centering Elements</h2>
			<!-- h-25 is 25% of 500% which is it's PARENT element -->
			<!-- d-flex will change all of our child div elements into flex items -->
			<!-- it's the item inside our parent div that becomes flexible -->
			<div style="height: 500px;" class="bg-secondary p-3 d-flex justify-content-center align-items-center flex-column flex-column-reverse">
				<!-- choose only either flex-column or flex-column reverse sa example na to ginamit dalawa per dapat isa lang just for this activity -->
				<!-- 3 h-25 is equal to 75% of 100% of 500px -->
				<div class="h-25 p-3 bg-success">Flex Item A</div>
				<!-- if you want to change the width dito mismo ka gagawa ng style sa loob -->
				<!-- <div style="width": 200px; class="h-25 p-3 bg-warning">Flex Item B</div> -->
				<div class="h-25 p-3 bg-warning">Flex Item B</div>
				<div class="h-25 p-3 bg-danger">Flex Item C</div>
				<!-- when we added d-flex here naging isang line na lang sya kasi ang ginagawa ni d-flex ina align HORIZANTALLY ang ITEMS sa iisang LINE lang sa page-->
			</div>
		<!-- ----------------------------------------------------------------- -->
			<h2>Flex Row</h2>
			<div class="bg-dark p-3 d-flex flex-row">
				<div class="p-3 bg-success">Flex Item A</div>
				<div class="p-3 bg-warning">Flex Item B</div>
				<div class="p-3 bg-danger">Flex Item C</div>
			</div>
		<!-- ----------------------------------------------------------------- -->
			<h2>Flex Row Reverse</h2>
			<div class="bg-dark p-3 d-flex flex-row-reverse">
				<div class="p-3 bg-success">Flex Item A</div>
				<div class="p-3 bg-warning">Flex Item B</div>
				<div class="p-3 bg-danger">Flex Item C</div>
			</div>

		<!-- ----------------------------------------------------------------- -->
			<!-- we will not use ROW here since we are not using GRID system so CRC is not needed -->
			<h2>Creating Space Between Elements</h2>
			<!-- justfity-content-around will give center and give space horizontally 
				it's giving equal space ng mga children-->
				<!-- only works with d-flex but here d-md-flex is just the same we only added a breakpoint "medium' viewport and above it." -->
				<!-- d-flex and d-(breakpoint)-flex are the same -->
			<div class="bg-dark p-3 d-md-flex justify-content-around">
				<!-- around means around each children -->
				<div class="p-3 bg-success col-md-2">Card A</div>
				<div class="p-3 bg-warning col-md-2">Card B</div>
				<div class="p-3 bg-danger col-md-2">Card C</div>
			</div>
		<!-- ----------------------------------------------------------------- -->
			<h2>Flexbox with Margin</h2>
			<div class="bg-dark p-3 d-flex">
				<!-- mr-auto or ml-auto pushes the ramaining elements -->
				<div class="p-3 bg-success mr-auto">Flex Item A</div>
				<div class="p-3 bg-warning">Flex Item B</div>
				<div class="p-3 bg-danger">Flex Item C</div>
				<div class="p-3 bg-primary">Flex Item D</div>
			</div>

		<!-- ----------------------------------------------------------------- -->
			<h2>Nested Flex Elements</h2>
			<div class="bg-dark p-3 d-block d-md-flex">
			<!-- This above div is now the grandparent of B,C,D it's d-flex property will not apply now to b,c,d. -->
				<div class="p-3 bg-success mr-auto">Flex Item A</div>
				<div class="w-50 d-block d-md-flex bg-light justify-content-between">
					<!-- bg-light we used it here to see the spaces between the elements -->
					<!-- d-block here will stack the elements when on small viewpoint -->
					<!-- between means between the children -->
					<!-- B,C,D are child now of A -->
					<div class="p-3 bg-warning">Flex Item B</div>
					<div class="p-3 bg-danger">Flex Item C</div>
					<div class="p-3 bg-info">Flex Item D</div>
				</div>
			</div>

	</div>

	<!-- JUSTIFY-CONTENT CENTER center no spacing -->
	<!-- JUSTIFY-CONTENT-AROUND creates spaces around the element -->
	<!-- JUSTIFY-CONTENT-BETWEEN creates spaces between the element -->


	<!-- 	<div class="d-flex justify-content-start">...</div>
			<div class="d-flex justify-content-end">...</div>
			<div class="d-flex justify-content-center">...</div>
			<div class="d-flex justify-content-between">...</div>
			<div class="d-flex justify-content-around">...</div>
			<div class="d-flex justify-content-evenly">...</div> -->

<!-- js dependency -->
 <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>	
</body>
</html>









